<?php
/************************************************************************************/
/*				                                                                    */
/*              				                                                    */
/*                                                                                  */
/* ORIGINAL VERSION:                                                                */
/*                                                                                  */
/* MODUL: mod_meteohub.php                                                          */
/* v1.1                                                                             */
/* Date 09-12-2005                                                                  */
/*                                                                                  */
/* Copyright  2005 by: webmaster@wettertotal.de                                   */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/* modification to Joomla by Weatherman Germany http://www.wettertotal.de           */
/*                                                                                  */
/* modification to Meteohub by Boris Pasternaj (info@meteohub.de)                   */
/*                                                                                  */
/* MODIFIED VERSION:                                                                */
/*                                                                                  */
/* MODUL: mod_meteohub.php                                                          */
/* v1.7.1                                                                           */
/* Date 29-10-2009                                                                  */
/*                                                                                  */
/* modification to Meteohub by Boris Pasternaj (info@meteohub.de)                   */
/* Updates & additions for Joomla 1.5.14 By                                         */ 
/* Rune Roed Schoeler (vejr@vaerloese-vejr.dk)                                      */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
global $arr;


$file = fopen ($params->get('host_data'), "r");
if ($file)
{
  $count = 0;
  while(!feof($file)) {
    $count = $count + 1;
    $val = trim(fgets($file, 4096));
    $nameVal = explode(' ', $val);
    $arr[trim(strtolower($nameVal[0]))] = trim($nameVal[1]);
  }
  fclose ($file); 
}

// Set the language depending on auto/manual
If ($params->get( 'AutoLanguage', '0' ))
{
switch ($lang->get('tag')) {
    case 'en-GB': //English
        $language = '1';
    break;
	case 'de-DE' : // German
        $language = '2';
    break;
    case 'da-DK' : // Danish
        $language = '3';
    break;
	default:
        $language = $params->get( 'Language', '0' );
}
} ELSE {
$language = $params->get( 'Language', '1' );
}

$content  =  "<table cellSpacing=\"1\" cellPadding=\"1\" width=\"100%\" border=\"0\">";
$content  .= "  <tr>";
$content  .= "    <td style=\"font-family: Verdana,Helvetica; font-size: 11px\"><b>";

if ($params->get('ShowCity_Country') == 1) {
	$content  .= "    <font class=\"wwtext4\"><center>".$params->get('city')."</center></font></b>";
	$content  .= "    <font class=\"wwtext6\"><center>".$params->get('country')."</center></font><hr></td>";
	$content  .= "  </tr>";
}
switch ($language) {
    case 1: //English
        $content  .= "    <tr><td><center><font class=\"wwtext4\"><b>Forecast</b><br></center> </td></tr>";
    break;
	case 2: // German
        $content  .= "    <tr><td><center><font class=\"wwtext4\"><b>Vorhersage</b><br></center> </td></tr>";
	break;
    case 3: // Danish
        $content  .= "    <tr><td><center><font class=\"wwtext4\"><b>Udsigt</b><br></center> </td></tr>";
    break;
}
$content  .= "  <tr>";
$content  .= "    <td vAlign=\"top\" style=\"font-family: Verdana,Helvetica; font-size: 11px\">";
$content  .= "    <center><img src=\"".$params->get('host_icon')."\"></center></td></tr>";
$content  .= "  <tr>";
$content  .= "    <td vAlign=\"top\" style=\"font-family: Verdana,Helvetica; font-size: 7px\">";
$content  .= "    <center>Icons by <a href=\"http://www.limmattalerwetter.ch\" target=\"_blank\">";
$content  .= "Roman Attinger</a></center><hr></td></tr>";


if ($params->get('far')) {
$temp = $arr["actual_th0_temp_f"]."&deg;F";
$windchill = $arr["actual_wind0_chill_f"]."&deg;F";
} else {
$windchill = $arr["actual_wind0_chill_c"]."&deg;C";
$temp = $arr["actual_th0_temp_c"]."&#176;C";
}

$press = $arr["actual_thb0_sealevel_hpa"]."hPa";

if ($params->get('WindSpeedUnit') == '0') // Km/t
{
switch ($language) {
	case '1': // English
		$wind = $arr["actual_wind0_gustspeed_kmh"]."km/h"; 
	break;
	case '2': // German
		$wind = $arr["actual_wind0_gustspeed_kmh"]."km/h"; 
	break;
	case '3': // Danish
		$wind = $arr["actual_wind0_gustspeed_kmh"]."km/t"; 
	break;
}
} elseif ($params->get('WindSpeedUnit') == '1') // Mph
{
switch ($language) {
case '1': // English
		$wind = $arr["actual_wind0_gustspeed_mph"]."mph"; 
	break;
	case '2': // German
		$wind = $arr["actual_wind0_gustspeed_mph"]."mph"; 
	break;
	case '3': // Danish
		$wind = $arr["actual_wind0_gustspeed_mph"]."mph"; 
	break;
}
} elseif ($params->get('WindSpeedUnit') == '2') // Knots
{
switch ($language) {
case '1': // English
		$wind = $arr["actual_wind0_gustspeed_kn"]."Kn"; 
	break;
	case '2': // German
		$wind = $arr["actual_wind0_gustspeed_kn"]."Kn"; 
	break;
	case '3': // Danish
		$wind = $arr["actual_wind0_gustspeed_kn"]."Kn"; 
	break;
}
} elseif ($params->get('WindSpeedUnit') == '3') // Bf
{
switch ($language) {
case '1': // English
		$wind = $arr["actual_wind0_gustspeed_bft"]."Bft"; 
	break;
	case '2': // German
		$wind = $arr["actual_wind0_gustspeed_bft"]."Bft"; 
	break;
	case '3': // Danish
		$wind = $arr["actual_wind0_gustspeed_bft"]."Bft"; 
	break;
}
}
switch ($language) {
    case 1: //English
        $winddir = $arr["actual_wind0_dir_en"];
    break;
	case 2: // German
        $winddir = $arr["actual_wind0_dir_de"];
	break;    
	case 3: // Danish
        $winddir = $arr["actual_wind0_dir_en"];
    break;
}

$content  .= "  <tr>";
$content  .= "    <td style=\"font-family: Verdana,Helvetica; font-size: 11px\">";
switch ($language) {
	case 1: //English
        if ($params->get('ShowDate') == '1') { $content  .= "    <font class=\"wwtext4\"><b>Date</b>: </font>".$arr["actual_date0_puredate_local"]."<br>    <font class=\"wwtext4\"><b>Time</b>: </font>".$arr["actual_date0_time_local"]."</font><br>"; }
		$content  .= "    <font class=\"wwtext4\"><b>Temperature</b>: </font>".$temp."</font><br>";
		$content  .= "    <font class=\"wwtext4\"><b>Pressure</b>: </font>".$press."</font><br>";
		$content  .= "    <font class=\"wwtext4\"><b>Wind Speed</b>: </font>".$wind."<br>";
		$content  .= "    <font class=\"wwtext4\"><b>Direction</b>: </font>".$winddir."<br>";
		$content  .= "    <font class=\"wwtext4\"><b>Wind Chill</b>: </font>".$windchill."<br>";
	break;
    case 2: // German
        if ($params->get('ShowDate') == '1') { $content  .= "    <font class=\"wwtext4\"><b>Date</b>: </font>".$arr["actual_date0_puredate_local"]."<br>    <font class=\"wwtext4\"><b>Time</b>: </font>".$arr["actual_date0_time_local"]."</font><br>"; }
		$content  .= "    <font class=\"wwtext4\"><b>Temperatur</b>: </font>".$temp."</font><br>";
		$content  .= "    <font class=\"wwtext4\"><b>Luftdruck</b>: </font>".$press."</font><br>";
		$content  .= "    <font class=\"wwtext4\"><b>Wind</b>: </font>".$wind."<br>";
		$content  .= "    <font class=\"wwtext4\"><b>Richtung</b>: </font>".$winddir."<br>";
		$content  .= "    <font class=\"wwtext4\"><b>Gef&uuml;hlte Temp.</b>: </font>".$windchill."<br>";
	break;
    case 3: // Danish
        if ($params->get('ShowDate') == '1') { $content  .= "    <font class=\"wwtext4\"><b>Dato</b>: </font>".$arr["actual_date0_puredate_local"]."<br>    <font class=\"wwtext4\"><b>Klokken</b>: </font>".$arr["actual_date0_time_local"]."</font><br>"; }		$content  .= "    <font class=\"wwtext4\"><b>Temperatur</b>: </font>".$temp."</font><br>";
		$content  .= "    <font class=\"wwtext4\"><b>Lufttryk</b>: </font>".$press."</font><br>";
		$content  .= "    <font class=\"wwtext4\"><b>Vindhastighed</b>: </font>".$wind."<br>";
		$content  .= "    <font class=\"wwtext4\"><b>Vindretning</b>: </font>".$winddir."<br>";
		$content  .= "    <font class=\"wwtext4\"><b>Kuldeindeks</b>: </font>".$windchill."<br>";
    break;
}

switch ($language) {
    case 1: //English
        $content  .= "    <font class=\"wwtext4\"><b>Today's rain</b>: </font>";
	break;
	case 2: // German
        $content  .= "    <font class=\"wwtext4\"><b>Regnen heute</b>: </font>";
	break;    
	case 3: // Danish
        $content  .= "    <font class=\"wwtext4\"><b>Nedbør idag</b>: </font>";
    break;
}

if ($params->get('RainUnit') == 1) { // mm
$content  .= $arr["actual_rain0_total_mm"]."mm<br>";
} elseif ($params->get('RainUnit') == 2) {
$content  .= $arr["actual_rain0_total_in"]."in<br>";
}


$content  .= "</td>";
$content  .= "</tr>";
$content  .= "<tr><td>";
$content  .= "<hr><p align=\"center\">powered by <a href=\"http://www.meteohub.de\">Meteohub</a></p>";
$content  .= "</td><tr>";
$content  .= "</table>";
?>
